FIREWALL-APPLET(1)

NAME
firewall-applet - firewalld applet

SYNOPSIS

firewall-applet [OPTIONS...]

DESCRIPTION

firewall-applet is a tray applet for firewalld.

OPTIONS

firewall-applet does not support any special options.

The following options are supported:

-h, --help
    Prints a short help text and exits.

QSETTINGS

firewall-applet has additional settings to adapt the look and feel. QSettings is used and stores them in ~/.config/firewall/applet.conf. The file is automatically reloaded if it has been changed and the new settings will immediately be effective.

There is also the global config file /etc/firewall/applet.conf, which contains the default values. The settings in this file will be overloaded by settings in the user settings file.

Here is an example applet.conf file:

    [General]
    notifications=true
    show-inactive=true

The following settings are supported:

notifications
    The applet shows notifications if enabled. This setting can be enabled also in the applet with the "Enable Notifications" checkbox in the right mouse menu.

    This setting defaults to false.

    If notifications are shown for these actions if enabled:

        • Connection to firewalld established

        • Connection to firewalld lost

        • Firewall has been reloaded

        • Default zone has been changed

        • Panic mode has been enabled or disabled

        • Activation, deactivation or change of zones bound to interfaces

        • Activation, deactivation or change of zones bound to sources addresses

show-inactive
    Show applet also if firewalld is not running. If firewalld has been stopped or is not running the applet will be hidden and not visible in the applet tray. Enable this setting to see the applet all the time for example to be sure that the firewall is active.

    This setting defaults to false.

shields-up
    The shields-up zone name to be used if shields-up is enabled.

    This setting defaults to 'block'.

shields-down
    The shields-down zone name to be used if shields-up has been deactivated again.

    This setting defaults to 'public'.

blink
    If enabled, the applet icon blinks in these cases:

        • Connection to firewalld lost

        • Panic mode has been enabled or disabled

    This setting defaults to false.

blink-count
    The number of blinks if blink is enabled.

    This setting defaults to 5.

SEE ALSO
firewall-applet(1), firewalld(1), firewall-cmd(1), firewall-config(1), firewalld.conf(5), firewalld.direct(5), firewalld.dbus(5), firewalld.icmptype(5), firewalld.lockdown-whitelist(5), firewall-offline-cmd(1), firewalld.richlanguage(5), firewalld.service(5), firewalld.zone(5), firewalld.zones(5), firewalld.policy(5), firewalld.policies(5), firewalld.ipset(5), firewalld.helper(5)

NOTES

firewalld home page:
    http://firewalld.org

AUTHORS

Thomas Woerner <twoerner@redhat.com>
    Developer

Jiri Popelka <jpopelka@redhat.com>
    Developer

Eric Garver <eric@garver.life>
    Developer